#!/bin/bash
# 
# Installer for SSDeblend package
# 
# Run: ./install.sh
# 
# M. Ravasi, 24/05/2022

echo 'Creating SSDeblend environment with Pytorch GPU'

# create conda env
conda env create -f environment.yml
source ~/miniconda3/etc/profile.d/conda.sh
conda activate ssdeblend
conda env list
echo 'Created and activated environment:' $(which python)

# check cupy works as expected
echo 'Checking cupy version and running a command...'
python -c 'import cupy as cp; print(cp.__version__); import torch; print(torch.__version__);  print(torch.cuda.get_device_name(torch.cuda.current_device())); print(torch.ones(10).to("cuda:0"))'

echo 'Done!'

